<?php

namespace Karneaud\LavaliteKarneaudCargo;

use DB;
use Illuminate\Database\Seeder;

class CourierTableSeeder extends Seeder
{
    public function run()
    {
        DB::table('couriers')->insert([
            
        ]);

        DB::table('permissions')->insert([
            [
                'slug'      => 'lavalite-karneaud-cargo.courier.view',
                'name'      => 'View Courier',
            ],
            [
                'slug'      => 'lavalite-karneaud-cargo.courier.create',
                'name'      => 'Create Courier',
            ],
            [
                'slug'      => 'lavalite-karneaud-cargo.courier.edit',
                'name'      => 'Update Courier',
            ],
            [
                'slug'      => 'lavalite-karneaud-cargo.courier.delete',
                'name'      => 'Delete Courier',
            ],
            
            // Customize this permissions if needed.
            [
                'slug'      => 'lavalite-karneaud-cargo.courier.verify',
                'name'      => 'Verify Courier',
            ],
            [
                'slug'      => 'lavalite-karneaud-cargo.courier.approve',
                'name'      => 'Approve Courier',
            ],
            [
                'slug'      => 'lavalite-karneaud-cargo.courier.publish',
                'name'      => 'Publish Courier',
            ],
            [
                'slug'      => 'lavalite-karneaud-cargo.courier.unpublish',
                'name'      => 'Unpublish Courier',
            ],
            [
                'slug'      => 'lavalite-karneaud-cargo.courier.cancel',
                'name'      => 'Cancel Courier',
            ],
            [
                'slug'      => 'lavalite-karneaud-cargo.courier.archive',
                'name'      => 'Archive Courier',
            ],
            
        ]);

        DB::table('menus')->insert([

            [
                'parent_id'   => 1,
                'key'         => null,
                'url'         => 'admin/lavalite-karneaud-cargo/courier',
                'name'        => 'Courier',
                'description' => null,
                'icon'        => 'fa fa-newspaper-o',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

            [
                'parent_id'   => 2,
                'key'         => null,
                'url'         => 'user/lavalite-karneaud-cargo/courier',
                'name'        => 'Courier',
                'description' => null,
                'icon'        => 'icon-book-open',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

            [
                'parent_id'   => 3,
                'key'         => null,
                'url'         => 'courier',
                'name'        => 'Courier',
                'description' => null,
                'icon'        => null,
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

        ]);

        DB::table('settings')->insert([
            // Uncomment  and edit this section for entering value to settings table.
            /*
            [
                'pacakge'   => 'LavaliteKarneaudCargo',
                'module'    => 'Courier',
                'user_type' => null,
                'user_id'   => null,
                'key'       => 'lavalite-karneaud-cargo.courier.key',
                'name'      => 'Some name',
                'value'     => 'Some value',
                'type'      => 'Default',
                'control'   => 'text',
            ],
            */
        ]);
    }
}
