<?php

namespace Karneaud\LavaliteKarneaudCargo;

use User;

class LavaliteKarneaudCargo
{
    /**
     * $courier object.
     */
    protected $courier;

    /**
     * Constructor.
     */
    public function __construct(\Karneaud\LavaliteKarneaudCargo\Interfaces\CourierRepositoryInterface $courier)
    {
        $this->courier = $courier;
    }

    /**
     * Returns count of lavalite-karneaud-cargo.
     *
     * @param array $filter
     *
     * @return int
     */
    public function count()
    {
        return  0;
    }

    /**
     * Make gadget View
     *
     * @param string $view
     *
     * @param int $count
     *
     * @return View
     */
    public function gadget($view = 'admin.courier.gadget', $count = 10)
    {

        if (User::hasRole('user')) {
            $this->courier->pushCriteria(new \Litepie\Karneaud\Repositories\Criteria\CourierUserCriteria());
        }

        $courier = $this->courier->scopeQuery(function ($query) use ($count) {
            return $query->orderBy('id', 'DESC')->take($count);
        })->all();

        return view('lavalite-karneaud-cargo::' . $view, compact('courier'))->render();
    }
}
