<?php

namespace Karneaud\LavaliteKarneaudCargo\Providers;

use Litepie\Contracts\Workflow\Workflow as WorkflowContract;
use Litepie\Foundation\Support\Providers\WorkflowServiceProvider as ServiceProvider;

class WorkflowServiceProvider extends ServiceProvider
{
    /**
     * The validators mappings for the package.
     *
     * @var array
     */
    protected $validators = [
        
        // Bind Courier workflow validator
        'Karneaud\LavaliteKarneaudCargo\Models\Courier' => \Karneaud\LavaliteKarneaudCargo\Workflow\CourierValidator::class,
    ];

    /**
     * The actions mappings for the package.
     *
     * @var array
     */
    protected $actions = [
        
        // Bind Courier workflow actions
        'Karneaud\LavaliteKarneaudCargo\Models\Courier' => \Karneaud\LavaliteKarneaudCargo\Workflow\CourierAction::class,
    ];

    /**
     * The notifiers mappings for the package.
     *
     * @var array
     */
    protected $notifiers = [
       
        // Bind Courier workflow notifiers
        'Karneaud\LavaliteKarneaudCargo\Models\Courier' => \Karneaud\LavaliteKarneaudCargo\Workflow\CourierNotifier::class,
    ];

    /**
     * Register any package workflow validation services.
     *
     * @param \Litepie\Contracts\Workflow\Workflow $workflow
     *
     * @return void
     */
    public function boot(WorkflowContract $workflow)
    {
        parent::registerValidators($workflow);
        parent::registerActions($workflow);
        parent::registerNotifiers($workflow);
    }
}
