<?php

namespace Karneaud\LavaliteKarneaudCargo\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class CourierTransformer extends TransformerAbstract
{
    public function transform(\Karneaud\LavaliteKarneaudCargo\Models\Courier $courier)
    {
        return [
            'id'                => $courier->getRouteKey(),
            'key'               => [
                'public'    => $courier->getPublicKey(),
                'route'     => $courier->getRouteKey(),
            ], 
            
            'url'               => [
                'public'    => trans_url('lavalite-karneaud-cargo/'.$courier->getPublicKey()),
                'user'      => guard_url('lavalite-karneaud-cargo/courier/'.$courier->getRouteKey()),
            ], 
            'status'            => trans('app.'.$courier->status),
            'created_at'        => format_date($courier->created_at),
            'updated_at'        => format_date($courier->updated_at),
        ];
    }
}