<?php

namespace Karneaud\LavaliteKarneaudCargo\Workflow;

use Karneaud\LavaliteKarneaudCargo\Models\Courier;
use Karneaud\LavaliteKarneaudCargo\Notifications\CourierWorkflow as CourierNotifyer;
use Notification;

class CourierNotification
{

    /**
     * Send the notification to the users after complete.
     *
     * @param Courier $courier
     *
     * @return void
     */
    public function complete(Courier $courier)
    {
        return Notification::send($courier->user, new CourierNotifyer($courier, 'complete'));;
    }

    /**
     * Send the notification to the users after verify.
     *
     * @param Courier $courier
     *
     * @return void
     */
    public function verify(Courier $courier)
    {
        return Notification::send($courier->user, new CourierNotifyer($courier, 'verify'));;
    }

    /**
     * Send the notification to the users after approve.
     *
     * @param Courier $courier
     *
     * @return void
     */
    public function approve(Courier $courier)
    {
        return Notification::send($courier->user, new CourierNotifyer($courier, 'approve'));;

    }

    /**
     * Send the notification to the users after publish.
     *
     * @param Courier $courier
     *
     * @return void
     */
    public function publish(Courier $courier)
    {
        return Notification::send($courier->user, new CourierNotifyer($courier, 'publish'));;
    }

    /**
     * Send the notification to the users after archive.
     *
     * @param Courier $courier
     *
     * @return void
     */
    public function archive(Courier $courier)
    {
        return Notification::send($courier->user, new CourierNotifyer($courier, 'archive'));;

    }

    /**
     * Send the notification to the users after unpublish.
     *
     * @param Courier $courier
     *
     * @return void
     */
    public function unpublish(Courier $courier)
    {
        return Notification::send($courier->user, new CourierNotifyer($courier, 'unpublish'));;

    }
}
